Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/workflows/getapi-v-1-workspaces-id-request-automations-type

# Get request automation definitions

GET `https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### type (path, enum (string), required)

Automation entity type (see allowed values in the enum schema).

## Query Parameters

#### status (query, enum (string))

#### is\_active (query, boolean)

#### search\_key (query, string)

#### trigger\_type (query, enum (string))

Filter by trigger type (SCHEDULED\_RECURRING or EVENT)

#### sort\_order (query, enum (string))

#### entity\_id (query, integer)

Deprecated alias of entity\_type\_id for typed entities (CUSTOM\_OBJECT/ASSET). Retained for backward compatibility.

#### entity\_type\_id (query, integer)

Filters automations by entity type ID (for CUSTOM\_OBJECT type — the object type ID). Null for REQUEST/CHANGE.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/workspaces/{id}/request-automations/{type}',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
